Page MenuHomePhabricator

Improve pageview API response time with cache headers [8 pts]
Closed, ResolvedPublic

Description

Response times pageview API.

Event Timeline

Nuria created this task.Nov 30 2015, 5:23 PM
Nuria raised the priority of this task from to Needs Triage.
Nuria updated the task description. (Show Details)
Nuria added projects: Analytics-Kanban, Services.
Nuria added a subscriber: Nuria.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 30 2015, 5:23 PM
Nuria claimed this task.Nov 30 2015, 5:23 PM
Nuria set Security to None.
GWicke added a subscriber: GWicke.EditedNov 30 2015, 5:52 PM

This data from the perspective of the frontend RESTBase cluster is already available in graphite, under restbase.v1_metrics*.

  • Example key: restbase.v1_metrics_pageviews_per-article_-project-_-access-_-agent-_-article-_-granularity-_-start-_-end-.*.ALL.median

Quick preview in grafana:

Median response times are currently around 110ms.

Nuria added a comment.Nov 30 2015, 6:05 PM

cache-control: max-age=3600, s-maxage=3600 should be added to AQS per @GWicke

Nuria updated the task description. (Show Details)Nov 30 2015, 6:05 PM
Nuria renamed this task from Response times pageview API. Dashboard . to Response times pageview API. Dashboard . [8].Nov 30 2015, 6:12 PM
Symac added a subscriber: Symac.Nov 30 2015, 8:16 PM
Milimetric renamed this task from Response times pageview API. Dashboard . [8] to Response times pageview API. Dashboard . [8 pts].Dec 3 2015, 6:11 PM
Nuria renamed this task from Response times pageview API. Dashboard . [8 pts] to Better Response times pageview API.. [8 pts].Dec 11 2015, 9:54 PM
Nuria updated the task description. (Show Details)

@GWicke : according to @Milimetric seems that we agreed on deploying these changes to the frontend rather than trying to add caching headers to backend response. Let us know otherwise.

Milimetric renamed this task from Better Response times pageview API.. [8 pts] to Improve pageview API response time with cache headers [8 pts].Jan 21 2016, 6:19 PM
Milimetric moved this task from Next Up to In Code Review on the Analytics-Kanban board.
Milimetric moved this task from In Code Review to Done on the Analytics-Kanban board.
Nuria closed this task as Resolved.Feb 2 2016, 4:39 PM